-- |
-- Module:      Language.Gender
-- Copyright:   (c) 2013 Kranium Gikos Mendoza
--              (c) 2007-2008, Jörg Michael
-- License:     LGPL
-- Maintainer:  Kranium Gikos Mendoza <kranium@gikos.net>
-- Stability:   experimental
-- Portability: portable
--

module Language.Gender
  ( Gender(..)
  , defaultDictionary
  , defaultDictionaryFile
  , parseDictionary
  , parseDictionaryFile
  ) where

import Language.Gender.Dictionary
import Data.Text.IO as TIO
import Paths_gender (getDataFileName)

-- | Runs parseDictionary from a FilePath
parseDictionaryFile f = fmap parseDictionary $ TIO.readFile f

-- | Loads the default dictionary file from disk
defaultDictionary = defaultDictionaryFile >>= parseDictionaryFile

-- | Default dictionary file: $datadir/nam_dict.txt
defaultDictionaryFile = getDataFileName "data/nam_dict.txt.UTF8"
